(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 12.0' *)

(***************************************************************************)
(*                                                                         *)
(*                                                                         *)
(*  Under the Wolfram FreeCDF terms of use, this file and its content are  *)
(*  bound by the Creative Commons BY-SA Attribution-ShareAlike license.    *)
(*                                                                         *)
(*        For additional information concerning CDF licensing, see:        *)
(*                                                                         *)
(*         www.wolfram.com/cdf/adopting-cdf/licensing-options.html         *)
(*                                                                         *)
(*                                                                         *)
(***************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1088,         20]
NotebookDataLength[     23785,        674]
NotebookOptionsPosition[     22886,        656]
NotebookOutlinePosition[     23222,        671]
CellTagsIndexPosition[     23179,        668]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[StyleBox["Light Source",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{
  3.8366929118227654`*^9},ExpressionUUID->"2da51f73-7e98-464a-9406-\
8c00f5c1f332"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Light", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "3"}], "}"}]}], ";"}]], "Input",
 CellLabel->
  "In[191]:=",ExpressionUUID->"87f01ae4-cc79-4e10-af70-6ef7c42be24b"],

Cell[TextData[StyleBox["Vertices",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{3.836690114244934*^9, 
  3.8366903384884872`*^9},ExpressionUUID->"fe031724-51cd-4b62-bf9a-\
8f45e452ec99"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"A1", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"A2", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"A3", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"A4", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"A5", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1", ",", "1"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"A6", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"A7", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"A8", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.836690438895166*^9, 3.836690470063999*^9}},
 CellLabel->
  "In[192]:=",ExpressionUUID->"c420bde6-9485-4ae6-a045-c3b80284778d"],

Cell[TextData[StyleBox["\n\n\n\n\n\n\n\n",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{
  3.83669012291926*^9, {3.836691973275009*^9, 3.836691974716774*^9}, 
   3.8366929073504257`*^9},ExpressionUUID->"f61b249b-e2c8-485e-9712-\
d45cc0f6e296"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.836692915512171*^9},
 CellLabel->
  "In[200]:=",ExpressionUUID->"6eab06b4-33bc-499a-aa2d-fbeb2f082d5a"],

Cell[TextData[StyleBox["Shadows of vertices on the 2d plane",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.836690139751008*^9, 3.836690153949213*^9}, {
  3.8366908941939583`*^9, 
  3.836690895224761*^9}},ExpressionUUID->"5e110a07-d217-409f-a630-\
be805c27b7c2"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"B1", "=", 
   RowBox[{"Light", "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"Light", "-", "A1"}], ")"}], " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"3", "-", 
        RowBox[{"A1", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], ")"}]}]}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"B2", "=", 
   RowBox[{"Light", "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"Light", "-", "A2"}], ")"}], " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"3", "-", 
        RowBox[{"A2", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], ")"}]}]}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"B3", "=", 
   RowBox[{"Light", "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"Light", "-", "A3"}], ")"}], " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"3", "-", 
        RowBox[{"A3", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], ")"}]}]}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"B4", "=", 
   RowBox[{"Light", "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"Light", "-", "A4"}], ")"}], " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"3", "-", 
        RowBox[{"A4", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], ")"}]}]}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"B5", "=", 
   RowBox[{"Light", "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"Light", "-", "A5"}], ")"}], " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"3", "-", 
        RowBox[{"A5", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], ")"}]}]}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"B6", "=", 
   RowBox[{"Light", "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"Light", "-", "A6"}], ")"}], " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"3", "-", 
        RowBox[{"A6", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], ")"}]}]}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"B7", "=", 
   RowBox[{"Light", "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"Light", "-", "A7"}], ")"}], " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"3", "-", 
        RowBox[{"A7", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], ")"}]}]}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"B8", "=", 
    RowBox[{"Light", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"Light", "-", "A8"}], ")"}], " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"-", "6"}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"3", "-", 
         RowBox[{"A8", "[", 
          RowBox[{"[", "3", "]"}], "]"}]}], ")"}]}]}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.836690466191115*^9, 3.8366904850232887`*^9}, {
  3.836692008161203*^9, 3.836692023735442*^9}, {3.836692123437334*^9, 
  3.8366921271790943`*^9}},
 CellLabel->
  "In[201]:=",ExpressionUUID->"af5ea14b-1db6-467c-b244-73730df9f13f"],

Cell[TextData[StyleBox["Shadow edges",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{
  3.836691902137759*^9},ExpressionUUID->"65766ff6-959d-4a2d-abe7-\
ef6317933dcd"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"L2", "=", 
   RowBox[{"{", 
    RowBox[{"Red", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"B1", ",", "B5"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"L3", "=", 
   RowBox[{"{", 
    RowBox[{"Red", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"B1", ",", "B3"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"L4", "=", 
   RowBox[{"{", 
    RowBox[{"Red", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"B1", ",", "B2"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"L6", "=", 
   RowBox[{"{", 
    RowBox[{"Red", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"B2", ",", "B6"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"L7", "=", 
   RowBox[{"{", 
    RowBox[{"Red", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"B2", ",", "B4"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"L9", "=", 
   RowBox[{"{", 
    RowBox[{"Red", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"B3", ",", "B7"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"L10", "=", 
   RowBox[{"{", 
    RowBox[{"Red", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"B3", ",", "B4"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"L12", "=", 
   RowBox[{"{", 
    RowBox[{"Red", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"B4", ",", "B8"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"L14", "=", 
   RowBox[{"{", 
    RowBox[{"Red", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"B5", ",", "B7"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"L15", "=", 
   RowBox[{"{", 
    RowBox[{"Red", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"B5", ",", "B6"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"L17", "=", 
   RowBox[{"{", 
    RowBox[{"Red", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"B6", ",", "B8"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"L19", "=", 
   RowBox[{"{", 
    RowBox[{"Red", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"B7", ",", "B8"}], "}"}], "]"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.836692026507176*^9, 3.836692062400861*^9}},
 CellLabel->
  "In[209]:=",ExpressionUUID->"429ab4f5-e4ae-4f01-8bec-c63eb6101a9f"],

Cell[TextData[StyleBox["\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\nLight rays",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{
  3.8366901856152353`*^9, {3.8366921398445*^9, 
   3.836692142397826*^9}},ExpressionUUID->"0fe67599-b916-495f-b76d-\
c91ee34817ad"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"M1", "=", 
   RowBox[{"Line", "[", 
    RowBox[{"{", 
     RowBox[{"Light", ",", "B1"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"M2", "=", 
   RowBox[{"Line", "[", 
    RowBox[{"{", 
     RowBox[{"Light", ",", "B2"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"M3", "=", 
   RowBox[{"Line", "[", 
    RowBox[{"{", 
     RowBox[{"Light", ",", "B3"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"M4", "=", 
   RowBox[{"Line", "[", 
    RowBox[{"{", 
     RowBox[{"Light", ",", "B4"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"M5", "=", 
   RowBox[{"Line", "[", 
    RowBox[{"{", 
     RowBox[{"Light", ",", "B5"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"M6", "=", 
   RowBox[{"Line", "[", 
    RowBox[{"{", 
     RowBox[{"Light", ",", "B6"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"M7", "=", 
   RowBox[{"Line", "[", 
    RowBox[{"{", 
     RowBox[{"Light", ",", "B7"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"M8", "=", 
   RowBox[{"Line", "[", 
    RowBox[{"{", 
     RowBox[{"Light", ",", "B8"}], "}"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.836690466202796*^9, 3.836690485029992*^9}, 
   3.8366920758040524`*^9},
 CellLabel->
  "In[221]:=",ExpressionUUID->"e394a319-f1fc-4558-a36d-794202221f57"],

Cell[TextData[StyleBox["3D Cube edges",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{
  3.836690219249153*^9, {3.8366930359431953`*^9, 
   3.836693036742425*^9}},ExpressionUUID->"b0be95c2-97ae-4fb9-9e7e-\
7a366493e97b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"K2", "=", 
   RowBox[{"{", 
    RowBox[{"Blue", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"A1", ",", "A5"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"K3", "=", 
   RowBox[{"{", 
    RowBox[{"Blue", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"A1", ",", "A3"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"K4", "=", 
   RowBox[{"{", 
    RowBox[{"Blue", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"A1", ",", "A2"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"K6", "=", 
   RowBox[{"{", 
    RowBox[{"Blue", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"A2", ",", "A6"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"K7", "=", 
   RowBox[{"{", 
    RowBox[{"Blue", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"A2", ",", "A4"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"K9", "=", 
   RowBox[{"{", 
    RowBox[{"Blue", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"A3", ",", "A7"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"K10", "=", 
   RowBox[{"{", 
    RowBox[{"Blue", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"A3", ",", "A4"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"K12", "=", 
   RowBox[{"{", 
    RowBox[{"Blue", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"A4", ",", "A8"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"K14", "=", 
   RowBox[{"{", 
    RowBox[{"Blue", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"A5", ",", "A7"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"K15", "=", 
   RowBox[{"{", 
    RowBox[{"Blue", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"A5", ",", "A6"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"K17", "=", 
   RowBox[{"{", 
    RowBox[{"Blue", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"A6", ",", "A8"}], "}"}], "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"K19", "=", 
    RowBox[{"{", 
     RowBox[{"Blue", ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{"A7", ",", "A8"}], "}"}], "]"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Poly", " ", "=", 
   RowBox[{"Polygon", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"5", ",", "5", ",", 
        RowBox[{"-", "3"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", 
        RowBox[{"-", "5"}], ",", 
        RowBox[{"-", "3"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "5"}], ",", 
        RowBox[{"-", "5"}], ",", 
        RowBox[{"-", "3"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "5"}], ",", "5", ",", 
        RowBox[{"-", "3"}]}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.836690466212296*^9, 3.836690485051285*^9}, 
   3.837388075601842*^9, {3.837388570689768*^9, 3.837388641093211*^9}, 
   3.8373887411324387`*^9, {3.837388776908782*^9, 3.837388874658936*^9}, 
   3.839100071805749*^9, 3.839100104144101*^9, 3.839100139319277*^9},
 CellLabel->
  "In[301]:=",ExpressionUUID->"3e0738f8-c7c8-408e-9490-d03699325708"],

Cell[TextData[StyleBox["Display graphics",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.836691921565716*^9, 
  3.836691928901128*^9}},ExpressionUUID->"1afdfaba-1d2b-4f13-961c-\
7332eef0bbee"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graphics3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Thick", ",", 
     RowBox[{"{", 
      RowBox[{"Yellow", ",", 
       RowBox[{"Sphere", "[", 
        RowBox[{"Light", ",", "0.15"}], "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", "K2", ",", "K3", ",", "K4", ",", "K6", ",", "K7", 
     ",", "K9", ",", "K10", ",", "K12", ",", "K14", ",", "K15", ",", "K17", 
     ",", "K19", ",", "M1", ",", "M2", ",", "M3", ",", "M4", ",", "M5", ",", 
     "M6", ",", "M7", ",", "M8", ",", "L2", ",", "L3", ",", "L4", ",", "L6", 
     ",", "L7", ",", "L9", ",", "L10", ",", "L12", ",", "L14", ",", "L15", 
     ",", "L17", ",", "L19", ",", "Poly"}], "\[IndentingNewLine]", "}"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "700"}], ",", 
   RowBox[{"Boxed", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7639796762565937`*^9, 3.763979711350977*^9}, {
   3.76397975526036*^9, 3.763979758533208*^9}, {3.763979964742494*^9, 
   3.7639800039972067`*^9}, {3.763980050867113*^9, 3.7639800512315903`*^9}, {
   3.7639807056440077`*^9, 3.763980712124837*^9}, {3.763980977915977*^9, 
   3.763980988840745*^9}, {3.763981043063643*^9, 3.763981079762959*^9}, {
   3.763981203627118*^9, 3.763981204036371*^9}, {3.7639815633688726`*^9, 
   3.763981618505013*^9}, {3.7639816519771757`*^9, 3.7639817151855*^9}, {
   3.836688927373015*^9, 3.836688941046482*^9}, {3.836689589148994*^9, 
   3.8366896106093187`*^9}, {3.836689749012499*^9, 3.8366897492400503`*^9}, {
   3.836690289904891*^9, 3.836690304184847*^9}, {3.8366904850767736`*^9, 
   3.836690507230743*^9}, {3.8373868379913387`*^9, 3.837386900782278*^9}, {
   3.837386988959942*^9, 3.8373871068956833`*^9}, 3.837387139833887*^9, {
   3.8373871928257303`*^9, 3.837387204434581*^9}, {3.837387317679905*^9, 
   3.837387397384158*^9}, {3.837387429785263*^9, 3.8373874358254213`*^9}, {
   3.837387725385961*^9, 3.83738782321874*^9}, {3.837387865661305*^9, 
   3.8373878789774923`*^9}, {3.837387929810151*^9, 3.837387959876573*^9}, {
   3.837388000957313*^9, 3.837388001319282*^9}, 3.83738824602256*^9, {
   3.837388288229042*^9, 3.837388324001718*^9}, {3.837388375054482*^9, 
   3.8373884356011477`*^9}, {3.837388470561035*^9, 3.8373885603072557`*^9}, {
   3.837388756205748*^9, 3.837388774528161*^9}, 3.837388807447653*^9, {
   3.837388884583108*^9, 3.8373888948641872`*^9}, {3.837389015109913*^9, 
   3.8373890255657063`*^9}, {3.837391702006543*^9, 3.837391703375082*^9}, {
   3.8373917373250027`*^9, 3.8373917834407053`*^9}, {3.839100085571845*^9, 
   3.839100141392272*^9}},
 CellLabel->
  "In[314]:=",ExpressionUUID->"267382fe-2b05-4628-9bb0-3b7194934092"],

Cell[BoxData[
 Graphics3DBox[
  {Thickness[Large], 
   {RGBColor[1, 1, 0], SphereBox[{0, 0, 3}, 0.15]}, 
   {RGBColor[0, 0, 1], Line3DBox[{{1, 1, 1}, {-1, 1, 1}}]}, 
   {RGBColor[0, 0, 1], Line3DBox[{{1, 1, 1}, {1, -1, 1}}]}, 
   {RGBColor[0, 0, 1], Line3DBox[{{1, 1, 1}, {1, 1, -1}}]}, 
   {RGBColor[0, 0, 1], Line3DBox[{{1, 1, -1}, {-1, 1, -1}}]}, 
   {RGBColor[0, 0, 1], Line3DBox[{{1, 1, -1}, {1, -1, -1}}]}, 
   {RGBColor[0, 0, 1], Line3DBox[{{1, -1, 1}, {-1, -1, 1}}]}, 
   {RGBColor[0, 0, 1], Line3DBox[{{1, -1, 1}, {1, -1, -1}}]}, 
   {RGBColor[0, 0, 1], Line3DBox[{{1, -1, -1}, {-1, -1, -1}}]}, 
   {RGBColor[0, 0, 1], Line3DBox[{{-1, 1, 1}, {-1, -1, 1}}]}, 
   {RGBColor[0, 0, 1], Line3DBox[{{-1, 1, 1}, {-1, 1, -1}}]}, 
   {RGBColor[0, 0, 1], Line3DBox[{{-1, 1, -1}, {-1, -1, -1}}]}, 
   {RGBColor[0, 0, 1], Line3DBox[{{-1, -1, 1}, {-1, -1, -1}}]}, 
   Line3DBox[{{0, 0, 3}, {3, 3, -3}}], 
   Line3DBox[
    NCache[{{0, 0, 3}, {Rational[3, 2], Rational[3, 2], -3}}, {{0, 0, 3}, {
      1.5, 1.5, -3}}]], Line3DBox[{{0, 0, 3}, {3, -3, -3}}], 
   Line3DBox[
    NCache[{{0, 0, 3}, {Rational[3, 2], Rational[-3, 2], -3}}, {{0, 0, 3}, {
      1.5, -1.5, -3}}]], Line3DBox[{{0, 0, 3}, {-3, 3, -3}}], 
   Line3DBox[
    NCache[{{0, 0, 3}, {Rational[-3, 2], Rational[3, 2], -3}}, {{0, 0, 
      3}, {-1.5, 1.5, -3}}]], Line3DBox[{{0, 0, 3}, {-3, -3, -3}}], 
   Line3DBox[
    NCache[{{0, 0, 3}, {Rational[-3, 2], Rational[-3, 2], -3}}, {{0, 0, 
      3}, {-1.5, -1.5, -3}}]], 
   {RGBColor[1, 0, 0], Line3DBox[{{3, 3, -3}, {-3, 3, -3}}]}, 
   {RGBColor[1, 0, 0], Line3DBox[{{3, 3, -3}, {3, -3, -3}}]}, 
   {RGBColor[1, 0, 0], 
    Line3DBox[
     NCache[{{3, 3, -3}, {Rational[3, 2], Rational[3, 2], -3}}, {{3, 3, -3}, {
       1.5, 1.5, -3}}]]}, 
   {RGBColor[1, 0, 0], 
    Line3DBox[
     NCache[{{Rational[3, 2], Rational[3, 2], -3}, {
       Rational[-3, 2], Rational[3, 2], -3}}, {{
       1.5, 1.5, -3}, {-1.5, 1.5, -3}}]]}, 
   {RGBColor[1, 0, 0], 
    Line3DBox[
     NCache[{{Rational[3, 2], Rational[3, 2], -3}, {
       Rational[3, 2], Rational[-3, 2], -3}}, {{1.5, 1.5, -3}, {
       1.5, -1.5, -3}}]]}, 
   {RGBColor[1, 0, 0], Line3DBox[{{3, -3, -3}, {-3, -3, -3}}]}, 
   {RGBColor[1, 0, 0], 
    Line3DBox[
     NCache[{{3, -3, -3}, {Rational[3, 2], Rational[-3, 2], -3}}, {{
       3, -3, -3}, {1.5, -1.5, -3}}]]}, 
   {RGBColor[1, 0, 0], 
    Line3DBox[
     NCache[{{Rational[3, 2], Rational[-3, 2], -3}, {
       Rational[-3, 2], Rational[-3, 2], -3}}, {{
       1.5, -1.5, -3}, {-1.5, -1.5, -3}}]]}, 
   {RGBColor[1, 0, 0], Line3DBox[{{-3, 3, -3}, {-3, -3, -3}}]}, 
   {RGBColor[1, 0, 0], 
    Line3DBox[
     NCache[{{-3, 3, -3}, {Rational[-3, 2], Rational[3, 2], -3}}, {{-3, 
       3, -3}, {-1.5, 1.5, -3}}]]}, 
   {RGBColor[1, 0, 0], 
    Line3DBox[
     NCache[{{Rational[-3, 2], Rational[3, 2], -3}, {
       Rational[-3, 2], Rational[-3, 2], -3}}, {{-1.5, 
        1.5, -3}, {-1.5, -1.5, -3}}]]}, 
   {RGBColor[1, 0, 0], 
    Line3DBox[
     NCache[{{-3, -3, -3}, {
       Rational[-3, 2], 
        Rational[-3, 2], -3}}, {{-3, -3, -3}, {-1.5, -1.5, -3}}]]}, 
   Polygon3DBox[{{5, 5, -3}, {5, -5, -3}, {-5, -5, -3}, {-5, 5, -3}}]},
  Boxed->False,
  ImageSize->700,
  ViewPoint->{1.3, -2.4, 2.},
  ViewVertical->{0., 0., 1.}]], "Output",
 CellChangeTimes->{{3.799615432295154*^9, 3.799615438049385*^9}, 
   3.7996156294423923`*^9, 3.799615791039358*^9, 3.799615861120141*^9, 
   3.836688831670251*^9, 3.836688881503237*^9, {3.836688918461935*^9, 
   3.8366889575452757`*^9}, 3.836689206103889*^9, {3.836689380350614*^9, 
   3.8366894081620502`*^9}, 3.836689479611001*^9, 3.836689531093981*^9, {
   3.8366895952288523`*^9, 3.836689617005828*^9}, {3.8366896587219553`*^9, 
   3.8366897125094337`*^9}, {3.8366897536361628`*^9, 3.8366897722838297`*^9}, 
   3.8366899688292427`*^9, 3.836690069207505*^9, {3.836690235974914*^9, 
   3.836690249231371*^9}, {3.836690294928608*^9, 3.836690307757853*^9}, 
   3.836690513161852*^9, {3.8373869025401278`*^9, 3.8373869076020193`*^9}, 
   3.837386998001952*^9, {3.837387034129731*^9, 3.8373870533795633`*^9}, 
   3.837387108090921*^9, 3.8373871412713327`*^9, 3.837387206001075*^9, {
   3.837387335726026*^9, 3.837387398382415*^9}, {3.83738743203857*^9, 
   3.8373874365961742`*^9}, 3.8373877371281977`*^9, {3.8373877729608917`*^9, 
   3.837387814494521*^9}, 3.837387851183589*^9, 3.8373879363535957`*^9, 
   3.837388246723238*^9, {3.837388480442492*^9, 3.837388499762293*^9}, 
   3.837388896076928*^9, {3.837391629610382*^9, 3.837391648085575*^9}, 
   3.837391789110455*^9, 3.839100113029687*^9, 3.8391001463046627`*^9},
 CellLabel->
  "Out[314]=",ExpressionUUID->"49b6a1db-d741-43f3-b3a2-14c074d87b2d"]
}, Open  ]]
},
WindowSize->{1440, 855},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"12.0 for Mac OS X x86 (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1488, 33, 173, 4, 35, "Text",ExpressionUUID->"2da51f73-7e98-464a-9406-8c00f5c1f332"],
Cell[1664, 39, 213, 6, 30, "Input",ExpressionUUID->"87f01ae4-cc79-4e10-af70-6ef7c42be24b"],
Cell[1880, 47, 191, 4, 35, "Text",ExpressionUUID->"fe031724-51cd-4b62-bf9a-8f45e452ec99"],
Cell[2074, 53, 1307, 47, 178, "Input",ExpressionUUID->"c420bde6-9485-4ae6-a045-c3b80284778d"],
Cell[3384, 102, 248, 5, 219, "Text",ExpressionUUID->"f61b249b-e2c8-485e-9712-d45cc0f6e296"],
Cell[3635, 109, 151, 3, 30, "Input",ExpressionUUID->"6eab06b4-33bc-499a-aa2d-fbeb2f082d5a"],
Cell[3789, 114, 269, 5, 35, "Text",ExpressionUUID->"5e110a07-d217-409f-a630-be805c27b7c2"],
Cell[4061, 121, 3359, 113, 346, "Input",ExpressionUUID->"af5ea14b-1db6-467c-b244-73730df9f13f"],
Cell[7423, 236, 171, 4, 35, "Text",ExpressionUUID->"65766ff6-959d-4a2d-abe7-ef6317933dcd"],
Cell[7597, 242, 2501, 87, 262, "Input",ExpressionUUID->"429ab4f5-e4ae-4f01-8bec-c63eb6101a9f"],
Cell[10101, 331, 255, 5, 449, "Text",ExpressionUUID->"0fe67599-b916-495f-b76d-c91ee34817ad"],
Cell[10359, 338, 1315, 44, 178, "Input",ExpressionUUID->"e394a319-f1fc-4558-a36d-794202221f57"],
Cell[11677, 384, 224, 5, 35, "Text",ExpressionUUID->"b0be95c2-97ae-4fb9-9e7e-7a366493e97b"],
Cell[11904, 391, 3434, 114, 325, "Input",ExpressionUUID->"3e0738f8-c7c8-408e-9490-d03699325708"],
Cell[15341, 507, 199, 4, 35, "Text",ExpressionUUID->"1afdfaba-1d2b-4f13-961c-7332eef0bbee"],
Cell[CellGroupData[{
Cell[15565, 515, 2632, 42, 73, "Input",ExpressionUUID->"267382fe-2b05-4628-9bb0-3b7194934092"],
Cell[18200, 559, 4670, 94, 692, "Output",ExpressionUUID->"49b6a1db-d741-43f3-b3a2-14c074d87b2d"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature HxpVGSTZ4YzzEDgbIJk6J@fN *)
